org.eclipse.gef.zest.fx.parts

## Class ZestFxSelectionHandlePartFactory

- java.lang.Object
- - org.eclipse.gef.mvc.fx.parts.DefaultSelectionHandlePartFactory
  - - org.eclipse.gef.zest.fx.parts.ZestFxSelectionHandlePartFactory

All Implemented Interfaces:
  IHandlePartFactory

    public class ZestFxSelectionHandlePartFactory
    extends DefaultSelectionHandlePartFactory

The `ZestFxSelectionHandlePartFactory` is a specialization of the `DefaultSelectionHandlePartFactory` that suppresses the generation of multi selection handles.

### Field Summary

### Fields inherited from class org.eclipse.gef.mvc.fx.parts.DefaultSelectionHandlePartFactory

`BENDPOINT_CREATE_HANDLE_MINIMUM_SEGMENT_LENGTH, CONNECTED_HANDLE_COLOR_PROVIDER, DEFAULT_CONNECTED_HANDLE_COLOR, DEFAULT_INSERT_HANDLE_COLOR, DEFAULT_MOVE_HANDLE_COLOR, INSERT_HANDLE_COLOR_PROVIDER, MOVE_HANDLE_COLOR_PROVIDER, MULTI_SELECTION_HANDLES_GEOMETRY_PROVIDER, SEGMENT_CREATE_HANDLE_MINIMUM_SEGMENT_LENGTH, SEGMENT_MOVE_HANDLE_MINIMUM_SEGMENT_LENGTH, SELECTION_HANDLES_GEOMETRY_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`ZestFxSelectionHandlePartFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.util.List<IHandlePart<? extends javafx.scene.Node>>` `createMultiSelectionHandleParts(java.util.List<? extends IVisualPart<? extends javafx.scene.Node>> targets, java.util.Map<java.lang.Object,java.lang.Object> contextMap)`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.DefaultSelectionHandlePartFactory

`createHandleParts, createSingleSelectionHandleParts, createSingleSelectionHandlePartsForCurve, createSingleSelectionHandlePartsForPolygonalOutline, createSingleSelectionHandlePartsForRectangularOutline`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ZestFxSelectionHandlePartFactory

    public ZestFxSelectionHandlePartFactory()

### Method Detail

#### createMultiSelectionHandleParts

    protected java.util.List<IHandlePart<? extends javafx.scene.Node>> createMultiSelectionHandleParts(java.util.List<? extends IVisualPart<? extends javafx.scene.Node>> targets,
                                                                                                       java.util.Map<java.lang.Object,java.lang.Object> contextMap)

Overrides:
  `createMultiSelectionHandleParts` in class `DefaultSelectionHandlePartFactory`